View Issue Details

IDProjectCategoryView StatusLast Update
0020897mantisbtemailpublic2016-06-12 00:42
Reporterkeyurshah14Assigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020897: User's access level in bugnotes displayed as '@0@' in email notifications
Description

Whenever any Developer or user is removed from any project then if any issue is solved by that developer and when its closed then in mail when it is fired.

Developer name is there but instead of developer it is coming like "@0@"

Please check below

(0112356) Keyur (@0@) - 2016-05-06 13:03

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master e6993795

2016-05-19 09:00:27

atrol

Details Diff
Enhance access level display

Prior to this, the access level display in bugnotes was (@0@) if the
user who added the note did not have access to the project. This
situation can happen when an issue is moved to a private project, or
when a user's rights to a private project are revoked.
This is similar to the fix for 0011923, but
- affects also email notification
- displays "no access" for existing users instead of displaying nothing

Fixes 0020897
mod - bugnote_view_inc.php Diff File
mod - core/access_api.php Diff File
mod - core/email_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2016-05-11 06:15 keyurshah14 New Issue
2016-05-11 06:47 atrol Priority high => normal
2016-05-11 06:47 atrol Severity major => minor
2016-05-11 06:47 atrol Status new => confirmed
2016-05-11 08:48 atrol View Status private => public
2016-05-11 09:49 atrol Assigned To => atrol
2016-05-11 09:49 atrol Status confirmed => assigned
2016-05-11 09:49 atrol Target Version => 1.3.0-rc.2
2016-05-11 09:59 atrol Note Added: 0053121
2016-05-11 10:49 dregad Summary Whenever any Developer or user is removed from any project then if any issue is solved by that developer and when its closed => User's access level in bugnotes displayed as '@0@' in email notifications
2016-05-19 09:34 atrol Note Added: 0053196
2016-05-23 03:11 atrol Changeset attached => MantisBT master e6993795
2016-05-23 03:11 atrol Status assigned => resolved
2016-05-23 03:11 atrol Resolution open => fixed
2016-05-23 03:11 atrol Fixed in Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed